• Documentation
  • API Reference
Catalog API
    Get a CompanygetGet a Product FamilygetGet a ProductgetList CategoriesgetList CompaniesgetList Product FamiliesgetList Productsget
Scope API
    Get a ScopegetCreate a ScopepostCreate Scope via Documentpost
Pricing API
    Basic Price EstimategetAdvanced Price Estimateget
Webhooks API
    List webhooksgetCreate a webhookpostList webhook eventsgetGet webhook eventgetDelete webhookdelete
Negotiation API
    Start negotiationpostNegotiation summarygetAttach file to negotiationpostPost external updatepostGet FAQsget
Files API
    Upload filepost
Other endpoints
    OpenAPI SpecificationgetHealth checkget
Schemas
Vendr Public API

Scope API

Endpoint:https://api.vendr.com

Get a Scope

GET
https://api.vendr.com
/v1/scope/{scopeId}

Get a Scope › path Parameters

  • scopeIdstring · uuid · required

Get a Scope › Headers

  • Authorizationstring · required
  • x-vendr-end-user-identifierstring
  • x-vendr-end-user-ipstring · ipv4
  • x-vendr-end-user-emailstring · email
  • x-vendr-end-user-organization-namestring

Get a Scope › Responses

  • idstring · uuid · required
  • sourcestring · enum · required
    Enum values:
    manual
    document
  • createdOnstring · date-time · required
  • scopeTermsobject[] · required
  • productTermsobject[] · required
  • previousScopeIdstring · uuid
  • nextScopeIdstring · uuid
  • documentProcessingobject
GET /v1/scope/{scopeId}

Create a Scope

POST
https://api.vendr.com
/v1/scope

Create a Scope › Headers

  • Authorizationstring · required
  • x-vendr-end-user-identifierstring
  • x-vendr-end-user-ipstring · ipv4
  • x-vendr-end-user-emailstring · email
  • x-vendr-end-user-organization-namestring

Create a Scope › Request Body

  • scopeTermsobject[] · minItems: 1 · required
  • productTermsobject[] · minItems: 1 · required
  • previousScopeIdstring · uuid

Create a Scope › Responses

  • idstring · uuid · required
  • sourcestring · enum · required
    Enum values:
    manual
    document
  • createdOnstring · date-time · required
  • scopeTermsobject[] · required
  • productTermsobject[] · required
  • previousScopeIdstring · uuid
  • nextScopeIdstring · uuid
  • documentProcessingobject
POST /v1/scope

Create Scope via Document

POST
https://api.vendr.com
/v1/scope/from-document

Create Scope via Document › Headers

  • Authorizationstring · required
  • x-vendr-end-user-identifierstring
  • x-vendr-end-user-ipstring · ipv4
  • x-vendr-end-user-emailstring · email
  • x-vendr-end-user-organization-namestring

Create Scope via Document › Request Body

  • fileUrlstring · uri
  • purchaseTypestring · enum
    Enum values:
    new_purchase
    renewal

Create Scope via Document › Responses

  • scopeIdstring · uuid · required
POST /v1/scope/from-document

Catalog APIPricing API